
/* 
* ---------------------------------------------------------------------------- 
* "THE BEER-WARE LICENSE" (Revision 42): 
* <doktor@dyregod.dk> <mads@danquah.dk> <hartlev@ruc.dk> <tnjr@ruc.dk> wrote 
* this file. As long as you retain this notice you can do whatever you want 
* with this stuff. If we meet some day, and you think this stuff is worth it, 
* you can buy us a beer in return.
* ---------------------------------------------------------------------------- 
* 
*/

package dk.ruc.vbr;

import java.util.*;

public class Options
{

	private Hashtable table = new Hashtable();


	public void put(String key, String value)
	{
		table.put(key, value);
	}

	public String[] getKeys()
	{
		return (String[]) table.keySet().toArray();
	}

	public String get(String key)
	{
		return (String) table.get(key);
	}
	public int getInt(String key)
	{
		return Integer.valueOf(get(key)).intValue();
	}
	public float getFloat(String key)
	{
		return Float.valueOf(get(key)).floatValue();
	}
	public boolean getBoolean(String key)
	{
		return get(key).equalsIgnoreCase("true") ? true : false;
	}
}