package dk.ruc.vbr;

/**
 * @author Morten
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 */
public class CylinderTestSceneLoader extends AbstractSceneLoader
{


	public Scene getScene(Options options)
	{
		final float halfPI = (float)(Math.PI*0.5);
		
		AbstractObject front, back, up, down, left, right, x, y, z, obj;
		
		Shader shader;
		Matrix matrix;
		
		final Scene scene = new Scene();
		
		scene.addLight(new Light(new Vector(-2,0,1), new Color(1, 1, 1).scale(1)));
		//scene.addLight(new Light(new Vector(0,0,0), new Color(1, 1, 1).scale(200000)));
		
		matrix = new Matrix();
		matrix.translate( 0,0,0 );
		
		scene.addCamera(new DefaultCamera(matrix, 45, options));
		
		matrix = new Matrix();
		matrix.translate(3.0f, 0.0f, -1.0f);
		obj = new Cylinder(1, 1, matrix, scene);
		shader = new Shader( scene );
		shader.setColor( Color.YELLOW, 1 );
		//shader.setSpecular( 0.5f, 0.5f);
		obj.setShader(shader);
		scene.addObject( obj);
		
		/*matrix = new Matrix();
		matrix.rotate(0.0f, -0.5f*(float)Math.PI, 0.0f);
		matrix.translate(6.0f, 0.0f, 0.0f);
		left = new Plane( matrix, scene );
		shader = new Shader( scene );
		shader.setColor( Color.RED, 1 );
		left.setShader( shader );
		scene.addObject (left);
		
		
		matrix = new Matrix();
		matrix.rotate(0.0f, -2*(float)Math.PI, 0.5f);
		matrix.translate(5.0f, 0.0f, 0.0f);
		right = new Plane( matrix, scene );
		shader = new Shader( scene );
		shader.setColor( Color.BLUE, 1 );
		right.setShader( shader );*/
		
		

		return scene;
	}

}