
/* 
* ---------------------------------------------------------------------------- 
* "THE BEER-WARE LICENSE" (Revision 42): 
* <doktor@dyregod.dk> <mads@danquah.dk> <hartlev@ruc.dk> <tnjr@ruc.dk> wrote 
* this file. As long as you retain this notice you can do whatever you want 
* with this stuff. If we meet some day, and you think this stuff is worth it, 
* you can buy us a beer in return.
* ---------------------------------------------------------------------------- 
* 
*/

package dk.ruc.vbr;

public class Ray
{
	public Vector origin;
	public Vector direction;
	public float importance;
	public float refraction;

	public Ray(Vector origin, Vector direction, float refraction, float importance)
	{
		this.origin = origin;
		this.direction = direction;
		this.importance = importance;
		this.refraction = refraction;
	}

	/**
	 * Get the coordinate for distance t on the ray
	 */
	public Vector getVector(float t)
    { 
		//return new Vector( origin.x + direction.x * t, origin.y + direction.y * t, origin.z + direction.z * t );
		
		return origin.add( direction.scale( t ) );
    } 
}
