package dk.ruc.vbr;

/**
 * @author Morten
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 */
public class TestSceneLoader extends AbstractSceneLoader
{


	public Scene getScene(Options options)
	{
		final float halfPI = (float)(Math.PI*0.5);
		
		AbstractObject front, back, up, down, left, right, x, y, z, obj;
		
		Shader shader;
		Matrix matrix;
		
		final Scene scene = new Scene();
		
		scene.addLight(new Light(new Vector(-2,0,3), new Color(1, 1, 1).scale(200000)));
		
		matrix = new Matrix();
		matrix.translate( 0,0,0 );
		
		scene.addCamera(new DefaultCamera(matrix, 45, options));
		
/*		// front
		matrix = new Matrix();
		matrix.rotate(0,-halfPI,0);
		matrix.translate(2.8f,0,0);
		
		System.out.println( "front plane facing " + matrix.getUp() );
		
		front = new Plane(matrix, scene);
		shader = new Shader(scene);
		shader.setColor(Color.BLUE, 1);
		front.setShader(shader);
		
		// back
		matrix = new Matrix();
		matrix.rotate(0,halfPI,0);
		matrix.translate(3.2f,0,0);
		
		System.out.println( "back plane facing " + matrix.getUp() );
		
		back = new Plane(matrix, scene);
		shader = new Shader(scene);
		shader.setColor(Color.PURPLE, 1);
		back.setShader(shader);
		
		// left
		matrix = new Matrix();
		matrix.rotate(-halfPI,0,0);
		matrix.translate(3,-0.2f,0);
		
		System.out.println( "left plane facing " + matrix.getUp() );
		
		left = new Plane(matrix, scene);
		shader = new Shader(scene);
		shader.setColor(Color.RED, 1);
		left.setShader(shader);
		
		// right
		matrix = new Matrix();
		matrix.rotate(halfPI, 0,0);
		matrix.translate(3,0.2f,0);
		
		System.out.println( "right plane facing " + matrix.getUp() );
		
		right = new Plane(matrix, scene);
		shader = new Shader(scene);
		shader.setColor(Color.YELLOW, 1);
		right.setShader(shader);
		
		// up
		matrix = new Matrix();
		matrix.rotate(0,0,0);
		matrix.translate(3,0,0.2f);
		
		System.out.println( "up plane facing " + matrix.getUp() );
		
		up = new Plane(matrix, scene);
		shader = new Shader(scene);
		shader.setColor(Color.ORANGE, 1);
		up.setShader(shader);
		
		// down
		matrix = new Matrix();
		matrix.rotate(halfPI+halfPI, 0,0);
		matrix.translate(3,0,-0.2f);
		
		System.out.println( "down plane facing " + matrix.getUp() );
		
		down = new Plane(matrix, scene);
		shader = new Shader(scene);
		shader.setColor(Color.GREEN, 1);
		down.setShader(shader);
		
		matrix = new Matrix();
		matrix.rotate(0,0,0);
		matrix.translate(0,0,0);
		
		x = new CSGIntersection(front, back, matrix, scene);
		y = new CSGIntersection(left, right, matrix, scene);
		z = new CSGIntersection(up, down, matrix, scene);
		
		obj = new CSGIntersection(x, y, matrix, scene);
		obj = new CSGIntersection(obj, z, matrix, scene);

		scene.addObject(obj);*/

// sphere		
/*		matrix = new Matrix();
		
		matrix.translate(4, 0.2f ,0.5f);
		
		obj = new Sphere( 2, matrix, scene );
		obj.setShader( new Shader(scene) );
		
		scene.addObject( obj );*/
		
		matrix = new Matrix();
		matrix.translate(5,0,0);
		left = new Sphere(1,matrix,scene);
		shader = new Shader( scene );
		shader.setColor( Color.YELLOW, 1 );
		left.setShader( shader );
		
		matrix = new Matrix();
		matrix.translate(0,0,-0.4f);
		right = new Plane( matrix, scene );
		shader = new Shader( scene );
		shader.setColor( Color.RED, 1 );
		right.setShader( shader );
		
		matrix = new Matrix();
		obj = new CSGUnion( right, left, matrix, scene );
		
		scene.addObject( obj );

// Debug (duh!)		
/*		Ray ray = new Ray( new Vector(0,0,0.1f), new Vector(1,0,0), 1, 1 );
		
		Intersection intersections[] = obj.getIntersections( ray );
		
		if ( intersections != null)
		{
			System.out.print( "." );
			for ( int i = 0; i < intersections.length; i++ )
				System.out.println( " " + i + ": " + intersections[i].t );
		}*/

		return scene;
	}

}