/*
* ----------------------------------------------------------------------------
* "THE BEER-WARE LICENSE" (Revision 42):
* <doktor@dyregod.dk> <mads@danquah.dk> <hartlev@ruc.dk> <tnjr@ruc.dk> wrote
* this file. As long as you retain this notice you can do whatever you want
* with this stuff. If we meet some day, and you think this stuff is worth it,
* you can buy us a beer in return.
* ----------------------------------------------------------------------------
*
*/

package dk.ruc.vbr.photonmap;

public class Node
{

	Node left, right;
	short axis;
	Photon photon;
	boolean isNull = false;
	/**
	 * Constructor for Node.
	 */
	public Node(Photon photon, short axis)
	{
		this.photon = photon;
		this.axis = axis;
		this.left = new Node();
		this.right = new Node();
	} 
	public Node()
	{
		isNull = true;
	}
	public String toString()
	{
		if (isNull)
			return "null";
		else
			return photon.toString();
	}

}